For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • POSTCreate a tier group
      • GETList tier groups
      • PUTUpdate tier group
      • DELDelete tier group
      • GETGet tier group
      • GETList tiers
      • POSTCreate a tier
      • DELDelete tier
      • PUTUpdate tier
      • POSTAssign a tier
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyTier

Delete tier

DELETE
https://api.brevo.com/v3/loyalty/tier/programs/:pid/tiers/:tid
DELETE
/v3/loyalty/tier/programs/:pid/tiers/:tid
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tier.deleteTier("pid", "tid");
8}
9main();

Deletes a tier from a loyalty program tier group. (The changes will take effect with the next publication of the loyalty program)

Was this page helpful?
Previous

Update tier

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID
tidstringRequiredformat: "uuid"
Tier ID

Response

Tier successfully deleted

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error